#include<stdio.h>
int main(){
	long long int n,m;
	scanf("%lld %lld",&n,&m);
	long long int d[n],u[n],l[m],r[m],x[m];
	for(int i=0;i<n;i++){
		scanf("%lld %lld",&d[i],&u[i]);
	}
	for(int i=0;i<m;i++){
		scanf("%lld %lld %lld",&l[i],&r[i],&x[i]);
	}
	long long int br=0;
	for(long long int i=0;i<m;i++){
		for(long long int j=l[i]-1;j<=r[i]-1;j++){
			if(x[i]<=u[j]&&x[i]>=d[j])br++;
		}
		printf("%lld",br);
		if(i!=m-1)printf("\n");
		br=0;
	}
}